/**
* @file space_vector_PWM.c
*
* Copyright (c) 2004 Atmel.
*
* @brief Ce fichier permet de
*
* This file is included by all source files in order to access to system wide
* configuration.
* @version 1.0 (CVS revision : $Revision: 1.1.1.1 $)
* @date $Date: 2005/09/21 15:08:53 $ (created on 06/04/2004)
* @author $Author: jberthy $ (created by Emmanuel David)

*****************************************************************************/

#include "config.h"
#include "inavr.h"

// speed measurement thanks to the ADC
S16 read_acquisition() {

    Union16     resultADC ;

    LSB(resultADC) = ADCL ;  // the ADC output has 10 bit resolution
    MSB(resultADC) = ADCH ;

    // convert from shifted code to 2's complement code
    // when the ADC output is higher than 512, the measure is positive
    // when the ADC output is lower  then 512, the measure is negative
//    if ( (resultADC.b[1] & 0x02) == 2) resultADC.b[1] &= 0x01 ;
//      else resultADC.b[1] |= 0xFE ;

    return (resultADC.w) ;
}
